OrcProto.StripeInformation.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.StripeInformation.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeInformation.Builder>
      - - org.apache.orc.OrcProto.StripeInformation.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.StripeInformationOrBuilder
  Enclosing class:
    OrcProto.StripeInformation

      public static final class OrcProto.StripeInformation.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeInformation.Builder>
      implements OrcProto.StripeInformationOrBuilder

  Protobuf type `orc.proto.StripeInformation`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.StripeInformation` | `build()`
    `OrcProto.StripeInformation` | `buildPartial()`
    `OrcProto.StripeInformation.Builder` | `clear()`
    `OrcProto.StripeInformation.Builder` | `clearDataLength()` `optional uint64 dataLength = 3;`
    `OrcProto.StripeInformation.Builder` | `clearFooterLength()` `optional uint64 footerLength = 4;`
    `OrcProto.StripeInformation.Builder` | `clearIndexLength()` `optional uint64 indexLength = 2;`
    `OrcProto.StripeInformation.Builder` | `clearNumberOfRows()` `optional uint64 numberOfRows = 5;`
    `OrcProto.StripeInformation.Builder` | `clearOffset()` `optional uint64 offset = 1;`
    `OrcProto.StripeInformation.Builder` | `clone()`
    `long` | `getDataLength()` `optional uint64 dataLength = 3;`
    `OrcProto.StripeInformation` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getFooterLength()` `optional uint64 footerLength = 4;`
    `long` | `getIndexLength()` `optional uint64 indexLength = 2;`
    `long` | `getNumberOfRows()` `optional uint64 numberOfRows = 5;`
    `long` | `getOffset()` `optional uint64 offset = 1;`
    `boolean` | `hasDataLength()` `optional uint64 dataLength = 3;`
    `boolean` | `hasFooterLength()` `optional uint64 footerLength = 4;`
    `boolean` | `hasIndexLength()` `optional uint64 indexLength = 2;`
    `boolean` | `hasNumberOfRows()` `optional uint64 numberOfRows = 5;`
    `boolean` | `hasOffset()` `optional uint64 offset = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.StripeInformation.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.StripeInformation.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.StripeInformation.Builder` | `mergeFrom(OrcProto.StripeInformation other)`
    `OrcProto.StripeInformation.Builder` | `setDataLength(long value)` `optional uint64 dataLength = 3;`
    `OrcProto.StripeInformation.Builder` | `setFooterLength(long value)` `optional uint64 footerLength = 4;`
    `OrcProto.StripeInformation.Builder` | `setIndexLength(long value)` `optional uint64 indexLength = 2;`
    `OrcProto.StripeInformation.Builder` | `setNumberOfRows(long value)` `optional uint64 numberOfRows = 5;`
    `OrcProto.StripeInformation.Builder` | `setOffset(long value)` `optional uint64 offset = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeInformation.Builder>`

    - #### clear

          public OrcProto.StripeInformation.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeInformation.Builder>`

    - #### clone

          public OrcProto.StripeInformation.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeInformation.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeInformation.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.StripeInformation getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.StripeInformation build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.StripeInformation buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.StripeInformation.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.StripeInformation.Builder>`

    - #### mergeFrom

          public OrcProto.StripeInformation.Builder mergeFrom(OrcProto.StripeInformation other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeInformation.Builder>`

    - #### mergeFrom

          public OrcProto.StripeInformation.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.StripeInformation.Builder>`
      Throws:
        `IOException`

    - #### hasOffset

          public boolean hasOffset()

      `optional uint64 offset = 1;`
      Specified by:
        `hasOffset` in interface `OrcProto.StripeInformationOrBuilder`

    - #### getOffset

          public long getOffset()

      `optional uint64 offset = 1;`
      Specified by:
        `getOffset` in interface `OrcProto.StripeInformationOrBuilder`

    - #### setOffset

          public OrcProto.StripeInformation.Builder setOffset(long value)

      `optional uint64 offset = 1;`

    - #### clearOffset

          public OrcProto.StripeInformation.Builder clearOffset()

      `optional uint64 offset = 1;`

    - #### hasIndexLength

          public boolean hasIndexLength()

      `optional uint64 indexLength = 2;`
      Specified by:
        `hasIndexLength` in interface `OrcProto.StripeInformationOrBuilder`

    - #### getIndexLength

          public long getIndexLength()

      `optional uint64 indexLength = 2;`
      Specified by:
        `getIndexLength` in interface `OrcProto.StripeInformationOrBuilder`

    - #### setIndexLength

          public OrcProto.StripeInformation.Builder setIndexLength(long value)

      `optional uint64 indexLength = 2;`

    - #### clearIndexLength

          public OrcProto.StripeInformation.Builder clearIndexLength()

      `optional uint64 indexLength = 2;`

    - #### hasDataLength

          public boolean hasDataLength()

      `optional uint64 dataLength = 3;`
      Specified by:
        `hasDataLength` in interface `OrcProto.StripeInformationOrBuilder`

    - #### getDataLength

          public long getDataLength()

      `optional uint64 dataLength = 3;`
      Specified by:
        `getDataLength` in interface `OrcProto.StripeInformationOrBuilder`

    - #### setDataLength

          public OrcProto.StripeInformation.Builder setDataLength(long value)

      `optional uint64 dataLength = 3;`

    - #### clearDataLength

          public OrcProto.StripeInformation.Builder clearDataLength()

      `optional uint64 dataLength = 3;`

    - #### hasFooterLength

          public boolean hasFooterLength()

      `optional uint64 footerLength = 4;`
      Specified by:
        `hasFooterLength` in interface `OrcProto.StripeInformationOrBuilder`

    - #### getFooterLength

          public long getFooterLength()

      `optional uint64 footerLength = 4;`
      Specified by:
        `getFooterLength` in interface `OrcProto.StripeInformationOrBuilder`

    - #### setFooterLength

          public OrcProto.StripeInformation.Builder setFooterLength(long value)

      `optional uint64 footerLength = 4;`

    - #### clearFooterLength

          public OrcProto.StripeInformation.Builder clearFooterLength()

      `optional uint64 footerLength = 4;`

    - #### hasNumberOfRows

          public boolean hasNumberOfRows()

      `optional uint64 numberOfRows = 5;`
      Specified by:
        `hasNumberOfRows` in interface `OrcProto.StripeInformationOrBuilder`

    - #### getNumberOfRows

          public long getNumberOfRows()

      `optional uint64 numberOfRows = 5;`
      Specified by:
        `getNumberOfRows` in interface `OrcProto.StripeInformationOrBuilder`

    - #### setNumberOfRows

          public OrcProto.StripeInformation.Builder setNumberOfRows(long value)

      `optional uint64 numberOfRows = 5;`

    - #### clearNumberOfRows

          public OrcProto.StripeInformation.Builder clearNumberOfRows()

      `optional uint64 numberOfRows = 5;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.